<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/SampleApplication.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SampleApplication.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sample_application_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_SAMPLEAPPLICATION_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_SAMPLEAPPLICATION_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;utility&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_console_printer_8h.html">ConsolePrinter.h</a>&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_console_reader_8h.html">ConsoleReader.h</a>&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_equalizer_runtime_setup_8h.html">DefaultClient/EqualizerRuntimeSetup.h</a>&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_gui_renderer_8h.html">SampleApp/GuiRenderer.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sample_application_return_codes_8h.html">SampleApplicationReturnCodes.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_user_input_manager_8h.html">UserInputManager.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#ifdef KWD</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_abstract_keyword_detector_8h.html">KWD/AbstractKeywordDetector.h</a>&gt;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifdef GSTREAMER_MEDIA_PLAYER</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_media_player_8h.html">MediaPlayer/MediaPlayer.h</a>&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#elif defined(ANDROID_MEDIA_PLAYER)</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_android_s_l_e_s_media_player_8h.html">AndroidSLESMediaPlayer/AndroidSLESMediaPlayer.h</a>&gt;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#ifdef BLUETOOTH_BLUEZ_PULSEAUDIO_OVERRIDE_ENDPOINTS</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_pulse_audio_bluetooth_initializer_8h.html">BlueZ/PulseAudioBluetoothInitializer.h</a>&gt;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_capabilities_delegate_8h.html">CapabilitiesDelegate/CapabilitiesDelegate.h</a>&gt;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_external_media_player_8h.html">ExternalMediaPlayer/ExternalMediaPlayer.h</a>&gt;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">namespace </span>sampleApp {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#ifdef GSTREAMER_MEDIA_PLAYER</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">using</span> ApplicationMediaPlayer = mediaPlayer::MediaPlayer;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#elif defined(ANDROID_MEDIA_PLAYER)</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="keyword">using</span> ApplicationMediaPlayer = mediaPlayer::android::AndroidSLESMediaPlayer;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html">   58</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html">SampleApplication</a> {</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keyword">static</span> std::unique_ptr&lt;SampleApplication&gt; <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#a19ed9d31833443783e984de7f91dde67">create</a>(</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        std::shared_ptr&lt;alexaClientSDK::sampleApp::ConsoleReader&gt; consoleReader,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::string&gt;&amp; configFiles,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">const</span> std::string&amp; pathToInputFolder,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keyword">const</span> std::string&amp; logLevel = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1sample_app.html#a091908d2e9931dcf16819bd967de7e70">SampleAppReturnCode</a> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#af3c1ba5d29a88d3439fa1d70c5467e31">run</a>();</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#a7e6402ffd9b13290423ced4ddd3b2120">~SampleApplication</a>();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#ab20666cf78a732588bc1e9da02f45989">createMediaPlayersForAdapters</a>(</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        std::shared_ptr&lt;avsCommon::utils::libcurlUtils::HTTPContentFetcherFactory&gt; httpContentFetcherFactory,</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        std::shared_ptr&lt;defaultClient::EqualizerRuntimeSetup&gt; equalizerRuntimeSetup,</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        std::vector&lt;std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;&amp; additionalSpeakers);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html">  103</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html">AdapterRegistration</a> {</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html#afa18a739a73fc62a4f44a33c23104c3c">AdapterRegistration</a>(</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            <span class="keyword">const</span> std::string&amp; playerId,</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#af7c65b4b3001c18fcd5f36da44eb7aa3">capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::AdapterCreateFunction</a> createFunction);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    };</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html">  121</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html">MediaPlayerRegistration</a> {</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html#adef4f5eb96e9e476adaa23ae3ec0a651">MediaPlayerRegistration</a>(</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            <span class="keyword">const</span> std::string&amp; playerId,</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> speakerType);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    };</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordtype">bool</span> initialize(</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        std::shared_ptr&lt;alexaClientSDK::sampleApp::ConsoleReader&gt; consoleReader,</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keyword">const</span> std::vector&lt;std::string&gt;&amp; configFiles,</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keyword">const</span> std::string&amp; pathToInputFolder,</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keyword">const</span> std::string&amp; logLevel);</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    std::pair&lt;std::shared_ptr&lt;ApplicationMediaPlayer&gt;, std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    createApplicationMediaPlayer(</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        std::shared_ptr&lt;avsCommon::utils::libcurlUtils::HTTPContentFetcherFactory&gt; httpContentFetcherFactory,</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        <span class="keywordtype">bool</span> enableEqualizer,</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">avsCommon::sdkInterfaces::SpeakerInterface::Type</a> type,</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keyword">const</span> std::string&amp; name,</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        <span class="keywordtype">bool</span> enableLiveMode = <span class="keyword">false</span>);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    std::shared_ptr&lt;InteractionManager&gt; m_interactionManager;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    std::shared_ptr&lt;UserInputManager&gt; m_userInputManager;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    std::shared_ptr&lt;GuiRenderer&gt; m_guiRenderer;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    std::unordered_map&lt;std::string, std::shared_ptr&lt;avsCommon::utils::mediaPlayer::MediaPlayerInterface&gt;&gt;</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;        m_externalMusicProviderMediaPlayersMap;</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    std::unordered_map&lt;std::string, std::shared_ptr&lt;avsCommon::sdkInterfaces::SpeakerInterface&gt;&gt;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        m_externalMusicProviderSpeakersMap;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    std::vector&lt;std::shared_ptr&lt;ApplicationMediaPlayer&gt;&gt; m_adapterMediaPlayers;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_speakMediaPlayer;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_audioMediaPlayer;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_alertsMediaPlayer;</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_notificationsMediaPlayer;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_bluetoothMediaPlayer;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="preprocessor">#ifdef ENABLE_COMMS_AUDIO_PROXY</span></div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_commsMediaPlayer;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    std::shared_ptr&lt;alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate&gt; m_capabilitiesDelegate;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    std::shared_ptr&lt;ApplicationMediaPlayer&gt; m_ringtoneMediaPlayer;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    <span class="keyword">static</span> std::unordered_map&lt;std::string, avsCommon::sdkInterfaces::SpeakerInterface::Type&gt; m_playerToSpeakerTypeMap;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keyword">static</span> <a class="code" href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#aaf4ebe27e2dfdda96617f1f0c2667e1c">capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::AdapterCreationMap</a> m_adapterToCreateFuncMap;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<span class="preprocessor">#ifdef KWD</span></div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    std::unique_ptr&lt;kwd::AbstractKeywordDetector&gt; m_keywordDetector;</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="preprocessor">#if defined(ANDROID_MEDIA_PLAYER) || defined(ANDROID_MICROPHONE)</span></div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    std::shared_ptr&lt;applicationUtilities::androidUtilities::AndroidSLESEngine&gt; m_openSlEngine;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="preprocessor">#ifdef BLUETOOTH_BLUEZ_PULSEAUDIO_OVERRIDE_ENDPOINTS</span></div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    std::shared_ptr&lt;bluetoothImplementations::blueZ::PulseAudioBluetoothInitializer&gt; m_pulseAudioInitializer;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;};</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;}  <span class="comment">// namespace sampleApp</span></div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_SAMPLEAPPLICATION_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player_html_af7c65b4b3001c18fcd5f36da44eb7aa3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#af7c65b4b3001c18fcd5f36da44eb7aa3">alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::AdapterCreateFunction</a></div><div class="ttdeci">std::shared_ptr&lt; avsCommon::sdkInterfaces::externalMediaPlayer::ExternalMediaAdapterInterface &gt;(*)(std::shared_ptr&lt; avsCommon::utils::mediaPlayer::MediaPlayerInterface &gt; mediaPlayer, std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerInterface &gt; speaker, std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerManagerInterface &gt; speakerManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::MessageSenderInterface &gt; messageSender, std::shared_ptr&lt; avsCommon::sdkInterfaces::FocusManagerInterface &gt; focusManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager, std::shared_ptr&lt; avsCommon::sdkInterfaces::ExternalMediaPlayerInterface &gt; externalMediaPlayer) AdapterCreateFunction</div><div class="ttdef"><b>Definition:</b> ExternalMediaPlayer.h:75</div></div>
<div class="ttc" id="_media_player_8h_html"><div class="ttname"><a href="_media_player_8h.html">MediaPlayer.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player_html_aaf4ebe27e2dfdda96617f1f0c2667e1c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#aaf4ebe27e2dfdda96617f1f0c2667e1c">alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::AdapterCreationMap</a></div><div class="ttdeci">std::unordered_map&lt; std::string, AdapterCreateFunction &gt; AdapterCreationMap</div><div class="ttdef"><b>Definition:</b> ExternalMediaPlayer.h:78</div></div>
<div class="ttc" id="_capabilities_delegate_8h_html"><div class="ttname"><a href="_capabilities_delegate_8h.html">CapabilitiesDelegate.h</a></div></div>
<div class="ttc" id="_user_input_manager_8h_html"><div class="ttname"><a href="_user_input_manager_8h.html">UserInputManager.h</a></div></div>
<div class="ttc" id="_abstract_keyword_detector_8h_html"><div class="ttname"><a href="_abstract_keyword_detector_8h.html">AbstractKeywordDetector.h</a></div></div>
<div class="ttc" id="_pulse_audio_bluetooth_initializer_8h_html"><div class="ttname"><a href="_pulse_audio_bluetooth_initializer_8h.html">PulseAudioBluetoothInitializer.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface_html_a45fb9f447f7a2ed2d9ffb211c089de93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speaker_interface.html#a45fb9f447f7a2ed2d9ffb211c089de93">alexaClientSDK::avsCommon::sdkInterfaces::SpeakerInterface::Type</a></div><div class="ttdeci">Type</div><div class="ttdef"><b>Definition:</b> SpeakerInterface.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration_html_afa18a739a73fc62a4f44a33c23104c3c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html#afa18a739a73fc62a4f44a33c23104c3c">alexaClientSDK::sampleApp::SampleApplication::AdapterRegistration::AdapterRegistration</a></div><div class="ttdeci">AdapterRegistration(const std::string &amp;playerId, capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::AdapterCreateFunction createFunction)</div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:224</div></div>
<div class="ttc" id="_console_reader_8h_html"><div class="ttname"><a href="_console_reader_8h.html">ConsoleReader.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_html_af3c1ba5d29a88d3439fa1d70c5467e31"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#af3c1ba5d29a88d3439fa1d70c5467e31">alexaClientSDK::sampleApp::SampleApplication::run</a></div><div class="ttdeci">SampleAppReturnCode run()</div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:244</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_html_a7e6402ffd9b13290423ced4ddd3b2120"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#a7e6402ffd9b13290423ced4ddd3b2120">alexaClientSDK::sampleApp::SampleApplication::~SampleApplication</a></div><div class="ttdeci">~SampleApplication()</div><div class="ttdoc">Destructor which manages the SampleApplication shutdown sequence. </div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:248</div></div>
<div class="ttc" id="_equalizer_runtime_setup_8h_html"><div class="ttname"><a href="_equalizer_runtime_setup_8h.html">EqualizerRuntimeSetup.h</a></div></div>
<div class="ttc" id="_external_media_player_8h_html"><div class="ttname"><a href="_external_media_player_8h.html">ExternalMediaPlayer.h</a></div></div>
<div class="ttc" id="_gui_renderer_8h_html"><div class="ttname"><a href="_gui_renderer_8h.html">GuiRenderer.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html">alexaClientSDK::sampleApp::SampleApplication::MediaPlayerRegistration</a></div><div class="ttdef"><b>Definition:</b> SampleApplication.h:121</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_html_a19ed9d31833443783e984de7f91dde67"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#a19ed9d31833443783e984de7f91dde67">alexaClientSDK::sampleApp::SampleApplication::create</a></div><div class="ttdeci">static std::unique_ptr&lt; SampleApplication &gt; create(std::shared_ptr&lt; alexaClientSDK::sampleApp::ConsoleReader &gt; consoleReader, const std::vector&lt; std::string &gt; &amp;configFiles, const std::string &amp;pathToInputFolder, const std::string &amp;logLevel=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:206</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1sample_app_html_a091908d2e9931dcf16819bd967de7e70"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1sample_app.html#a091908d2e9931dcf16819bd967de7e70">alexaClientSDK::sampleApp::SampleAppReturnCode</a></div><div class="ttdeci">SampleAppReturnCode</div><div class="ttdef"><b>Definition:</b> SampleApplicationReturnCodes.h:24</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html">alexaClientSDK::sampleApp::SampleApplication</a></div><div class="ttdoc">Class to manage the top-level components of the AVS Client Application. </div><div class="ttdef"><b>Definition:</b> SampleApplication.h:58</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_android_s_l_e_s_media_player_8h_html"><div class="ttname"><a href="_android_s_l_e_s_media_player_8h.html">AndroidSLESMediaPlayer.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_adapter_registration.html">alexaClientSDK::sampleApp::SampleApplication::AdapterRegistration</a></div><div class="ttdef"><b>Definition:</b> SampleApplication.h:103</div></div>
<div class="ttc" id="_sample_application_return_codes_8h_html"><div class="ttname"><a href="_sample_application_return_codes_8h.html">SampleApplicationReturnCodes.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration_html_adef4f5eb96e9e476adaa23ae3ec0a651"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_1_1_media_player_registration.html#adef4f5eb96e9e476adaa23ae3ec0a651">alexaClientSDK::sampleApp::SampleApplication::MediaPlayerRegistration::MediaPlayerRegistration</a></div><div class="ttdeci">MediaPlayerRegistration(const std::string &amp;playerId, avsCommon::sdkInterfaces::SpeakerInterface::Type speakerType)</div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:234</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application_html_ab20666cf78a732588bc1e9da02f45989"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_sample_application.html#ab20666cf78a732588bc1e9da02f45989">alexaClientSDK::sampleApp::SampleApplication::createMediaPlayersForAdapters</a></div><div class="ttdeci">bool createMediaPlayersForAdapters(std::shared_ptr&lt; avsCommon::utils::libcurlUtils::HTTPContentFetcherFactory &gt; httpContentFetcherFactory, std::shared_ptr&lt; defaultClient::EqualizerRuntimeSetup &gt; equalizerRuntimeSetup, std::vector&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::SpeakerInterface &gt;&gt; &amp;additionalSpeakers)</div><div class="ttdef"><b>Definition:</b> SampleApplication.cpp:293</div></div>
<div class="ttc" id="_console_printer_8h_html"><div class="ttname"><a href="_console_printer_8h.html">ConsolePrinter.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
